This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 382951 - when installing in a chroot yum gives some errors
when installing in a chroot yum gives some errors
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 12:51 EST by Patrice Dumas
Modified: 2014-01-21 18:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 11:35:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2007-11-14 12:51:51 EST
Description of problem:

For each package yum installs in the chroot, there is
an error message:
 yum --installroot=/tmp/chroot install basesystem
......
Running Transaction
  Installing: setup                        ######################### [1/3] 
could not open ts_done file: [Errno 2] No such file or directory:
'/tmp/chroot/var/lib/yum/transaction-done.2007-11-14.17:50.27'
  Installing: filesystem                   ######################### [2/3] 
could not open ts_done file: [Errno 2] No such file or directory:
'/tmp/chroot/var/lib/yum/transaction-done.2007-11-14.17:50.27'
  Installing: basesystem                   ######################### [3/3] 
could not open ts_done file: [Errno 2] No such file or directory:
'/tmp/chroot/var/lib/yum/transaction-done.2007-11-14.17:50.27'

Installed: basesystem.noarch 0:8.1-1
Dependency Installed: filesystem.i386 0:2.4.11-1.fc8 setup.noarch 0:2.6.10-1.fc8
Complete!


There is more than one way to fix that issue, yum could
create itself the directory if it doesn't exist, or it 
could also be added to the filesystem package.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Seth Vidal 2007-12-06 23:20:19 EST
what ver of yum was this? I'm pretty sure 3.2.8 fixes this - could you test it
to verify for me?
Comment 2 Patrice Dumas 2007-12-11 05:36:39 EST
It is still there in yum-3.2.8-2.fc9
Comment 3 Seth Vidal 2008-03-12 11:35:34 EDT
Fixed and verified in upstream.

thank you.

will be out in 3.2.13

Note You need to log in before you can comment on or make changes to this bug.